Skip to main content
POST
/
v1
/
team
/
clients
/
stats
Get service provider client aggregate stats
curl --request POST \
  --url https://api.wirespeed.co/v1/team/clients/stats \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "size": 123,
  "page": 123,
  "filter": "<string>",
  "search": "<string>",
  "orderBy": "<string>",
  "onlyDemo": true,
  "onlyTestMode": true,
  "onlyOperatingTeam": true,
  "onlyEndpointAutoContainment": true,
  "onlyIdentityAutoContainment": true
}
'
{
  "totalClients": 123,
  "totalTeamMembers": 123,
  "totalBillableUsers": 123,
  "totalBillableEndpoints": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
size
number
page
number
filter
string
orderBy
string
orderDir
enum<string>
Available options:
asc,
desc
onlyDemo
boolean

Only include demo clients

onlyTestMode
boolean

Only include test mode clients

onlyOperatingTeam
boolean

Only include clients marked as operating teams

onlyEndpointAutoContainment
boolean

Only include clients with endpoint auto containment enabled

onlyIdentityAutoContainment
boolean

Only include clients with identity auto containment enabled

escalationEmailSource
enum<string>

Filter by escalation email source

Available options:
custom,
inherited

Response

totalClients
number
required

Total number of clients in filtered result set

totalTeamMembers
number
required

Total team members across filtered clients

totalBillableUsers
number
required

Total billable users across filtered clients

totalBillableEndpoints
number
required

Total billable endpoints across filtered clients